Test storage component access

Virtual Storage Platform One Object API Reference Guide

Version
3.0.x
File Size
270 KB
Audience
anonymous
Part Number
MK-24VSP1OB002-01

Tests whether a storage component is accessible.

Endpoint

POST /storage_component/test

Request structure

The request body is:

{
  "id": "uuid"
}
Parameter Type Description
id UUID The ID of the storage component.

Response structure

{
  "id": "uuid",
  "storageType": "type",
  "verified": true|false,
  "httpStatus": nnn,
  "errorCode": "code_text",
  "errorMessage": "error_text",
  "daysUntilCertificateExpiration": nnn,
  "state": "state"
}

Parameter

Type

Description

id UUID The ID of the storage component.
storageType String The type of storage component:
  • AMAZON_S3: An Amazon Web Services S3-compatible node
  • HCP_S3: A Hitachi Content Platform node
  • HCPS_S3: An VSP One Object S Series node
  • GENERIC_S3: An S3-compatible node
verified Boolean If true, the storage component is activated. If false, it has not been verified and is awaiting for an administrative action.
httpStatus Integer The HTTP status code the storage component responded with. If 0, the storage component can't be reached. Otherwise, the code can help explain why it can't be verified.
errorCode String Any error codes associated with the storage component; otherwise, null.
errorMessage String Any error messages associated with the storage component; otherwise, null.
daysUntilCertificate​Expiration 32-bit integer The number of days left until the current HTTP certificate expires.
state Enum The state of the storage component, indicating its availability to serve requests:
  • ACTIVE: The storage component is ready for requests.
  • INACTIVE: The storage component is on an administrative pause.
  • INACCESSIBLE: The storage component is not accessible. This condition can be caused by network, authentication, or certificate errors.
  • UNVERIFIED: The storage component has not been activated or has failed to activate.

Return codes

Status code

HTTP name

Description

200 OK The request was executed successfully.
400 Bad Request The request is missing a valid storage component ID.
401 Unauthorized Access was denied because credentials are not valid.
404 Not Found The specified storage component was not found.
405 Method Not Allowed The specified HTTP method is not allowed for a storage component. Resend using POST.